#Makefile to build unit tests
SRC_DIR = ../common
TEST_DIR = ../test
INCLUDE_DIR = ../include
INCLUDES =  -I. -I$(INCLUDE_DIR) -I$(TEST_DIR)
DEFINES = -DTEST_LINEAR

CFLAGS = $(INCLUDES) $(DEFINES) -g
CFLAGS += -Wall
CFLAGS += -Wstrict-prototypes
CFLAGS += -Wmissing-prototypes

TARGET = test-linear

SRCS = $(SRC_DIR)/linear.c \
	$(TEST_DIR)/ctest.c \
	test-linear.c

OBJS = ${SRCS:.c=.o}

all: ${TARGET}

${TARGET}: ${OBJS}
	${CC} -o $@ ${OBJS}

.c.o:
	${CC} -c ${CFLAGS} $*.c -o $@

depend:
	rm -f .depend
	${CC} -MM ${CFLAGS} *.c >> .depend

clean:
	rm -rf ${OBJS} ${TARGET}

include: .depend
